diff --git a/.gitattributes b/.gitattributes
index e2f4a3db6d22527b93836f79e095c2c4dd9fa97c..204996f1c72458a15abafd05c2d5b641c2e3bae8 100644
--- a/.gitattributes
+++ b/.gitattributes
@@ -2608,6 +2608,7 @@ LCS/Messaging/python/messaging/messagebus.py -text
 LCS/Messaging/python/messaging/messages.py -text
 LCS/Messaging/python/messaging/test/CMakeLists.txt -text
 LCS/Messaging/python/messaging/test/t_RPC.py -text
+LCS/Messaging/python/messaging/test/t_RPC.run -text
 LCS/Messaging/python/messaging/test/t_RPC.sh -text
 LCS/Messaging/python/messaging/test/t_messagebus.py -text
 LCS/Messaging/python/messaging/test/t_messagebus.run -text
diff --git a/LCS/Messaging/python/messaging/test/t_RPC.run b/LCS/Messaging/python/messaging/test/t_RPC.run
new file mode 100755
index 0000000000000000000000000000000000000000..fa81151310f87629112f03d9ae10b4cc95886bb2
--- /dev/null
+++ b/LCS/Messaging/python/messaging/test/t_RPC.run
@@ -0,0 +1,14 @@
+#!/bin/sh -e
+
+#cleanup on normal exit and on SIGHUP, SIGINT, SIGQUIT, and SIGTERM
+trap 'qpid-config del queue --force $queue' 0 1 2 3 15
+
+# Generate randome queue name
+queue=$(< /dev/urandom tr -dc [:alnum:] | head -c16)
+
+# Create the queue
+qpid-config add exchange topic $queue
+
+# Run the unit test
+python t_RPC.py $queue
+